Bug 743259 - RFE: support IPv6 in rhn-client-tools
Summary: RFE: support IPv6 in rhn-client-tools
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Clients
Version: 1.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: spaceIPv6 569790 space16 767679 767680
TreeView+ depends on / blocked
 
Reported: 2011-10-04 12:17 UTC by Miroslav Suchý
Modified: 2018-11-26 17:28 UTC (History)
2 users (show)

Fixed In Version: rhn-client-tools-1.6.25-1 spacewalk-backend-1.6.29-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 767679 (view as bug list)
Environment:
Last Closed: 2011-12-23 10:02:52 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2011-10-04 12:17:09 UTC
rhn-client-tools: general hardware.py audit

    several places where we need to be IPv6 aware
    findHostByRoute() 
    read_network()

Comment 1 Miroslav Suchý 2011-10-04 13:44:50 UTC
spacewalk.git commit 92331fb66a4c4430ac3c9a700eb6210b068bded9

Comment 2 Miroslav Suchý 2011-10-04 14:38:52 UTC
commit e13f9db192792fe9501b884c5a595cccc887ede6

Comment 3 Miroslav Suchý 2011-10-06 10:11:56 UTC
commit 376e97090d3b254427eb55d3286f7d8e5ade046b

Comment 4 Miroslav Suchý 2011-10-06 10:15:54 UTC
commit aa6bc29f2d95d2cffb9d4cfdfbbddfdeef634e7f

Comment 5 Miroslav Suchý 2011-10-06 15:16:33 UTC
commit 09c74da5c1b283c797a85fb5e652e8c6ac6356f5

Comment 6 Miroslav Suchý 2011-10-07 11:33:13 UTC
commit 181e93e077b831d6f6b425898444906b96488cb1

Comment 7 Miroslav Suchý 2011-10-11 11:41:02 UTC
commit: a5b395906483a4250afea040bb0af9cda1c82864

Comment 8 Miroslav Suchý 2011-10-19 11:09:02 UTC
commit 0cbbafd03376128946b3fd057044931128bd5586
and bc83988eb4d47db439f3226198cee039075ec396

Comment 9 Miroslav Suchý 2011-10-31 12:46:22 UTC
commit 414b4f6c74187d48c9af55b76875f858474fd44c

Comment 10 Miroslav Suchý 2011-12-02 13:21:58 UTC
commits:
94e5593adca38cd5dc4358c020fef6f2e8e2f1a2
120f042027d5f2829dc152aadec658cca9d2252d
ea2d344fc0be493428ff2b9a1659e5c22b1ba5c8

Comment 11 Miroslav Suchý 2011-12-09 11:04:27 UTC
commit 66e376f35299f9927b3de692ee5998bd12371455

Comment 12 Milan Zázrivec 2011-12-23 10:02:52 UTC
Spacewalk 1.6 has been released.

Comment 13 Milan Zázrivec 2012-01-04 14:17:03 UTC
spacewalk.git master: 60b361bba52f028941c657eb4bef7fd41cb35a0c


Note You need to log in before you can comment on or make changes to this bug.